Skip to content
pols.so docs
Esc
↑↓navigate↵open⌘Jpreview

List the org's webhook endpoints (secrets are never returned)

Endpoints are created and deleted by the org’s owners and admins at https://my.pols.so/account, not with API keys. Answers 503 when the deployment has no vault key, which seals the endpoints’ secrets.

GET/v1/webhooks
Authorization
AuthorizationBearer token · headerrequired

Org-scoped API key, pols_....

Responses
200

The endpoints, newest first.

webhooksWebhookEndpoint[]required
Show properties
Array of WebhookEndpoint
idstringrequired
urlstringrequired

The HTTPS URL events are posted to.

descriptionstring | null
eventsWebhookEventType[]required

The event types the endpoint gets.

created_atstring<date-time>required
created_bystring | null

Who created the endpoint, web:<user id>.

429

Rate limited (rate_limited): too many requests or failed authentications from this address, too many requests or lifecycle calls for this org, or too many of its exec, file, computer and CDP calls in progress at once. Retry after Retry-After seconds.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), waking (503, the sandbox is still waking from standby or booting; retry), timeout (504, or 408 when a request body stalls).

messagestringrequired
default

Error.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), waking (503, the sandbox is still waking from standby or booting; retry), timeout (504, or 408 when a request body stalls).

messagestringrequired
Request
curl -X GET 'https://api.pols.so/v1/webhooks' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "webhooks": [
    {
      "id": "whk_3k9m2x7q1z0a",
      "url": "https://example.com/hooks/pols",
      "description": "string",
      "events": [
        "sandbox.ready"
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "created_by": "web:usr_3k9m2x7q1z0a"
    }
  ]
}